program TTFWintest;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes,
  fpttf,
  windows;

function GetWinDir: string;
  var
    dir: array [0..MAX_PATH] of Char;
  begin
    GetWindowsDirectory(dir, MAX_PATH);
    Result := StrPas(dir);
  end;

var
  i: Integer;
begin
  writeln('ReadStandardFonts');
  gTTFontCache.SearchPath.Add(GetWinDir+'\Fonts');
  //gTTFontCache.ReadStandardFonts;
  gTTFontCache.BuildFontCache;
  writeln('Searchpath');
  for i:= 0 to gTTFontCache.SearchPath.Count-1 do begin
    writeln(gTTFontCache.SearchPath.Strings[i]);
  end;
  writeln('------------------');
  for i:= 0 to gTTFontCache.Count-1 do begin
    try
      writeln(TFPFontCacheItem(gTTFontCache.Items[i]).HumanFriendlyName +'...'+ TFPFontCacheItem(gTTFontCache.Items[i]).PostScriptName +'...'+TFPFontCacheItem(gTTFontCache.Items[i]).FileName);
    except
      writeln('ERROR in...'+ TFPFontCacheItem(gTTFontCache.Items[i]).FileName)
    end;
  end;
end.

